Subject: bug#69606: [PATCH] Ensure default-directory exists when generating diff

From: Michael Albinus <[email-masked]>
Date: Fri, 28 Feb 2025 18:08:49 +0100

Juri Linkov <[email-masked]> writes:

Hi Juri,

>>>> However, what about the patch below?
>>
>>> I didn't try it, but it looks like it should fix the issue.
>>
>> Since I don't use diff myself, it would be great if somebody veryfies
>> it. I don't want to push another fix to diff.el blindly.
>
> Thanks, I tried your patch, and confirm that the problem is fixed.

Thanks for the feedback. I've pushed the change to the emacs-30 branch.

> The steps to verify were just '=' (dired-diff) and 'C-x C-j' (dired-jump).

That's exactly what I did. No idea, why the problem didn't appear to me.

Best regards, Michael.